## lvm2 2.02.133

=== debian/changelog ===
lvm2 (2.02.133-1ubuntu10) xenial; urgency=medium

  * Cherry-pick change from lvm2 2.02.133-2 in Debian to move event plugins
    back onto the main library patch, which fixes problems with monitoring
    failing for snapshots and raid volumes.  Closes: #807279, LP: #1556451,
    LP: #1561228.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Apr 2016 00:06:53 -0700

lvm2 (2.02.133-1ubuntu9) xenial; urgency=medium

  * Do not start when inside a container (LP: #1568954) 

 -- Simon Deziel <simon.deziel@gmail.com>  Mon, 11 Apr 2016 18:21:59 +0000

lvm2 (2.02.133-1ubuntu8) xenial; urgency=medium

  * Drop debian/85-lvm2.rules. This is redundant now, VGs are already
    auto-assembled via lvmetad and 69-lvm-metad.rules. This gets rid of using
    watershed, which causes deadlocks due to blocking udev rule processing.
    (LP: #1560710)
  * debian/rules: Put back initramfs-tools script to ensure that the root and
    resume devices are activated (lvmetad is not yet running in the initrd).
  * debian/rules: Put back activation systemd generator, to assemble LVs in
    case the admin disabled lvmetad.
  * Make debian/initramfs-tools/lvm2/scripts/init-premount/lvm2 executable and
    remove spurious chmod +x Ubuntu delta in debian/rules.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 30 Mar 2016 10:56:49 +0200

lvm2 (2.02.133-1ubuntu7) xenial; urgency=medium

  * Build-depend on libcorosync-common-dev and others, instead of
    libcorosync-dev.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 12 Feb 2016 10:40:28 +0100

lvm2 (2.02.133-1ubuntu5) xenial; urgency=medium

  * Drop udev rules from lvm2-udeb package. Otherwise, lvm groups and
    volumes are activated behind partman's back e.g. after dasd drive
    activation. And thus prevents dasdfmt from succeeding. LP: #1536664
  * Drop watershed-udeb dependency, no longer needed.
  * Keep dmsetup udev rules.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 09 Feb 2016 10:14:58 +0000

lvm2 (2.02.133-1ubuntu4) xenial; urgency=medium

  * Remove the init script dependency on cman_tool. (LP: #1089013)
    - debian/clvm.init: check corosync cluster status since the cman
      tooling isn't available in Xenial. Change start/stop dependencies
      to dlm instead of cman and openais since neither cman nor openais
      are available.

 -- Billy Olsen <billy.olsen@canonical.com>  Thu, 28 Jan 2016 11:38:39 +0100

lvm2 (2.02.133-1ubuntu3) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 13:33:41 +0000

lvm2 (2.02.133-1ubuntu2) xenial; urgency=medium

  * Lower libdevmapper1.02.1's Depends: dmsetup to a Recommends:. This breaks
    the circular dependency that causes upgrade failures. As dmsetup is
    "Priority: required", this has no other practical consequences.
    (Closes: #586424, LP: #1032823)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 16 Dec 2015 15:55:09 +0100

lvm2 (2.02.133-1ubuntu1) xenial; urgency=medium

  * Merge with Debian unstable. Remaining Ubuntu changes:
    - debian/rules:
      + copy .po file to .pot file for Rosetta (Ubuntu specific).
    - debian/{dmsetup,lvm2}-udeb.install: install udev rules in udebs
      (Debian #504341).
    - auto-start VGs as their PVs are discovered (Debian #455979):
      + add debian/85-lvm2.rules: use watershed plus the sledgehammer of
        vgscan/vgchange to turn on VGs as they come online.
      + debian/initramfs-tools/lvm2/hooks/lvm2: Add 85-lvm2.rules to the list
        of udev rules to copy and depend on udev.
      + debian/control:
        - add versioned Depend on watershed in lvm2 for udev rules.
        - add Depends on watershed-udeb in lvm2-udeb for udev rules.
      + debian/rules:
        - do not install local-top scripts since Ubuntu mounts root using udev.
        - do not install activation systemd generator for lvm2, since udev
          starts LVM.
        - continue to build clvm support.
      + debian/lvm2.postinst: handle missing lvm2 init script.
    - Add debian/initramfs-tools/lvm2/scripts/init-premount/lvm2: failure
      hooks to help fix bad boots (Debian #468115)
    - remaining changes to upstream event manager packages (Debian #514706):
      + debian/rules: enable dmeventd during configure.
      + debian/dmeventd.{8,manpages}: install dmeventd files.
    - rename debian/clvm.defaults to debian/clvm.default so it is installed
      correctly. (Debian #569292)
    - debian/control: add dmsetup-udeb to libdevmapper1.02.1-udeb recommends.
    - debian/rules: make sure dmsetup and lvm2 initramfs-tools scripts are
      executable.  When the Ubuntu-specific ones are added with a patch,
      they may lose their executable bit.
    - Add and install clvmd resource agent
    - debian/{clvmd.ra,clvm.init}:
      - create /run/lvm if it doesn't exist.
    - debian/clvm.init:
      - exit 3 if not running on status action.
    - Call dh_installman so that our dmeventd manpage actually gets installed
     Install the missing fsadm manpage.
    - Complete libdevmapper-dev multiarch: (Debian #731294)
      - mark libdevmapper-dev M-A: same
    - Add enable-issue-discards.patch: Enable "issue_discards" option by
      default to trim SSDs when changing PVs. This option has no effect if the
      kernel or the drive does not support trimming, so it's safe to enable by
      default. (Debian #717313)
  * Add debian/initramfs-tools/lvm2/scripts/init-bottom/lvm2: We cannot
    properly synthesize LVM LV change events with udevadm trigger, so
    if we use LVM, we need to let it finish; otherwise we get missing LV
    symlinks. This hack used to be in udev, but really belongs into lvm2.
    (LP: #1185394)
  * Add Replaces: for udev (<< 228-2ubuntu2), as the lvm2.{init,service} dummy
    jobs move from udev to lvm2. Note that we don't set a Breaks:, as
    unfortunately previous (released) udev prerm scripts don't support

