=== debian/control ===
Source: lvm2
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>
Build-Depends:
 debhelper (>> 9),
 dh-python,
 dh-systemd,
 automake,
 libblkid-dev,
 libcmap-dev,
 libcorosync-common-dev,
 libcpg-dev,
 libdlm-dev (>> 2),
 libreadline-gplv2-dev,
 libselinux1-dev,
 libquorum-dev,
 libudev-dev,
 python-all-dev,
 python3-all-dev,
 pkg-config
Standards-Version: 3.9.6
Homepage: http://sources.redhat.com/lvm2/
Vcs-Git: git://anonscm.debian.org/pkg-lvm/lvm2.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lvm/lvm2.git/
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4

Package: lvm2
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base, dmsetup (>> 2:1.02.47), dmeventd (>> 2:1.02.90), initscripts (>= 2.88dsf-13.3), udev (>= 228-2ubuntu2~)
Suggests: thin-provisioning-tools
Breaks: initramfs-tools (<< 0.99), thin-provisioning-tools (<< 0.3.2)
Replaces: udev (<< 228-2ubuntu2)
Multi-Arch: foreign
Description: Linux Logical Volume Manager
 This is LVM2, the rewrite of The Linux Logical Volume Manager.  LVM
 supports enterprise level volume management of disk and disk subsystems
 by grouping arbitrary disks into volume groups. The total capacity of
 volume groups can be allocated to logical volumes, which are accessed as
 regular block devices.

Package: lvm2-udeb
Package-Type: udeb
Section: debian-installer
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Linux Logical Volume Manager
 This is a udeb, or a microdeb, for the debian-installer.
 .
 This is LVM2, the rewrite of The Linux Logical Volume Manager.  LVM
 supports enterprise level volume management of disk and disk subsystems
 by grouping arbitrary disks into volume groups. The total capacity of
 volume groups can be allocated to logical volumes, which are accessed as
 regular block devices.

Package: clvm
Priority: extra
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, lvm2 (= ${binary:Version}), lsb-base
Recommends: corosync
Multi-Arch: foreign
Description: Cluster LVM Daemon for lvm2
 This package provides the clustering interface for lvm2, when used with
 Red Hat's "cman" or corosync based (eg Pacemaker) cluster infrastructure.
 It allows logical volumes to be created on shared storage devices
 (eg Fibre Channel, or iSCSI).

Package: libdevmapper-dev
Section: libdevel
Architecture: linux-any
Depends: ${misc:Depends}, libdevmapper1.02.1 (= ${binary:Version}), libdevmapper-event1.02.1 (= ${binary:Version}), libudev-dev, libselinux1-dev
Multi-Arch: same
Description: Linux Kernel Device Mapper header files
 The Linux Kernel Device Mapper is the LVM (Linux Logical Volume Management)
 Team's implementation of a minimalistic kernel-space driver that handles
 volume management, while keeping knowledge of the underlying device layout
 in user-space.  This makes it useful for not only LVM, but software raid,
 and other drivers that create "virtual" block devices.
 .
 This package contains the (user-space) header files for accessing the
 device-mapper; it allow usage of the device-mapper through a clean,
 consistent interface (as opposed to through kernel ioctls).

Package: libdevmapper1.02.1
Section: libs
Priority: optional
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: dmsetup (>= ${binary:Version})
Breaks: lvm2 (<< 2.02.122), liblvm2app2.2 (<< 2.02.122)
Conflicts: libdevmapper1.02
Multi-Arch: same
Description: Linux Kernel Device Mapper userspace library
 The Linux Kernel Device Mapper is the LVM (Linux Logical Volume Management)
 Team's implementation of a minimalistic kernel-space driver that handles
 volume management, while keeping knowledge of the underlying device layout
 in user-space.  This makes it useful for not only LVM, but software raid,
 and other drivers that create "virtual" block devices.
 .
 This package contains the (user-space) shared library for accessing the
 device-mapper; it allows usage of the device-mapper through a clean,
 consistent interface (as opposed to through kernel ioctls).

Package: libdevmapper1.02.1-udeb
Package-Type: udeb
Section: debian-installer
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: dmsetup-udeb
Description: Linux Kernel Device Mapper userspace library
 This is a udeb, or a microdeb, for the debian-installer.
 .
 The Linux Kernel Device Mapper is the LVM (Linux Logical Volume Management)
 Team's implementation of a minimalistic kernel-space driver that handles
 volume management, while keeping knowledge of the underlying device layout
 in user-space.  This makes it useful for not only LVM, but software raid,
 and other drivers that create "virtual" block devices.

Package: dmsetup
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, util-linux (>> 2.16)
Conflicts: devicekit-disks (<< 009)
Multi-Arch: foreign
Description: Linux Kernel Device Mapper userspace library
 The Linux Kernel Device Mapper is the LVM (Linux Logical Volume Management)
 Team's implementation of a minimalistic kernel-space driver that handles
 volume management, while keeping knowledge of the underlying device layout
 in user-space.  This makes it useful for not only LVM, but software raid,
 and other drivers that create "virtual" block devices.
 .
 This package contains a utility for modifying device mappings.

Package: dmsetup-udeb
Package-Type: udeb
Section: debian-installer
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Linux Kernel Device Mapper userspace library
 The Linux Kernel Device Mapper is the LVM (Linux Logical Volume Management)
 Team's implementation of a minimalistic kernel-space driver that handles
 volume management, while keeping knowledge of the underlying device layout
 in user-space.  This makes it useful for not only LVM, but software raid,
 and other drivers that create "virtual" block devices.
 .
 This package contains a utility for modifying device mappings.

Package: libdevmapper-event1.02.1
Section: libs
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Linux Kernel Device Mapper event support library
 The Linux Kernel Device Mapper is the LVM (Linux Logical Volume Management)
 Team's implementation of a minimalistic kernel-space driver that handles
 volume management, while keeping knowledge of the underlying device layout
 in user-space.  This makes it useful for not only LVM, but software raid,
 and other drivers that create "virtual" block devices.
 .
 This package contains the userspace library to help with event monitoring
 for devmapper devices, in conjunction with the dmevent daemon.

Package: dmeventd
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
# No Multi-Arch: foreign, plugins depend on the current architecture
Description: Linux Kernel Device Mapper event daemon
 The Linux Kernel Device Mapper is the LVM (Linux Logical Volume Management)
 Team's implementation of a minimalistic kernel-space driver that handles
 volume management, while keeping knowledge of the underlying device layout
 in user-space.  This makes it useful for not only LVM, but software raid,
 and other drivers that create "virtual" block devices.
 .
 This package contains a daemon to monitor events of devmapper devices.

Package: liblvm2app2.2
Section: libs
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: LVM2 application library
 This package contains the lvm2app shared library. It allows easier access
 to the basic LVM objects and provides functions to enumerate, create or
 modify them.

Package: liblvm2cmd2.02
Section: libs
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, dmeventd (>> 2:1.02.90)
Multi-Arch: same
Description: LVM2 command library
 This package contains the lvm2cmd shared library.

Package: liblvm2-dev
Section: libdevel
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, liblvm2app2.2 (= ${binary:Version}), liblvm2cmd2.02 (= ${binary:Version}), libdevmapper-dev
Description: LVM2 libraries - development files
 This package contains files needed to develop applications that use the
 lvm2app library.

Package: python-lvm2
Section: python
Architecture: linux-any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: LVM2 application library - Python 2 binding
 This package contains the python binding of the lvm2app library. It allows
 easier access to the basic LVM objects and provides functions to enumerate,
 create or modify them.

Package: python3-lvm2
Section: python
Architecture: linux-any
Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}
Provides: ${python3:Provides}
Description: LVM2 application library - Python 3 binding
 This package contains the python binding of the lvm2app library. It allows
 easier access to the basic LVM objects and provides functions to enumerate,
 create or modify them.
