## lvm2 2.02.160

=== debian/changelog ===
lvm2 (2.02.160-1ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add and install clvmd resource agent
    - Lower libdevmapper1.02.1's Depends: dmsetup to a Recommends:. This
      breaks the circular dependency that causes upgrade failures. As dmsetup
      is "Priority: required", this has no other practical consequences.
    - debian/control: add dmsetup-udeb to libdevmapper1.02.1-udeb recommends.
    - debian/dmsetup-udeb.install: install udev rules in udebs
      (Debian #504341).
    - Add debian/initramfs-tools/lvm2/scripts/init-bottom/lvm2: We cannot
      properly synthesize LVM LV change events with udevadm trigger, so
      if we use LVM, we need to let it finish; otherwise we get missing LV
      symlinks.
    - Add debian/initramfs-tools/lvm2/scripts/init-premount/lvm2: failure
      hooks to help fix bad boots (Debian #468115)
    - Do not start lvmetad when inside a container.
    - Add enable-issue-discards.patch: Enable "issue_discards" option by
      default to trim SSDs when changing PVs. This option has no effect if the
      kernel or the drive does not support trimming, so it's safe to enable by
      default. (Debian #717313)
    - debian/rules:
      + Copy .po file to .pot file for Rosetta (Ubuntu specific).
    - debian/initramfs-tools/lvm2/hooks/lvm2: depend on udev since
      we ship udev rules.
    - Depend on 'dlm' rather than 'dlm-controld', the package is named
      differently in Ubuntu.
    - debian/clvm.maintscripts: Drop the /etc/default/clvm conffile on
      upgrade.  This delta can be dropped after 18.04 release.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 10 Jul 2016 22:26:18 -0700

lvm2 (2.02.160-1) unstable; urgency=medium

  * New upstream version.

 -- Bastian Blank <waldi@debian.org>  Sat, 09 Jul 2016 22:11:07 +0200

lvm2 (2.02.156-1ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add and install clvmd resource agent
    - Lower libdevmapper1.02.1's Depends: dmsetup to a Recommends:. This
      breaks the circular dependency that causes upgrade failures. As dmsetup
      is "Priority: required", this has no other practical consequences.
    - debian/control: add dmsetup-udeb to libdevmapper1.02.1-udeb recommends.
    - debian/dmsetup-udeb.install: install udev rules in udebs
      (Debian #504341).
    - Add debian/initramfs-tools/lvm2/scripts/init-bottom/lvm2: We cannot
      properly synthesize LVM LV change events with udevadm trigger, so
      if we use LVM, we need to let it finish; otherwise we get missing LV
      symlinks.
    - Add debian/initramfs-tools/lvm2/scripts/init-premount/lvm2: failure
      hooks to help fix bad boots (Debian #468115)
    - Do not start lvmetad when inside a container.
    - Add enable-issue-discards.patch: Enable "issue_discards" option by
      default to trim SSDs when changing PVs. This option has no effect if the
      kernel or the drive does not support trimming, so it's safe to enable by
      default. (Debian #717313)
    - debian/rules:
      + Copy .po file to .pot file for Rosetta (Ubuntu specific).
    - debian/initramfs-tools/lvm2/hooks/lvm2: depend on udev since
      we ship udev rules.
  * Dropped changes, no longer needed:
    - debian/clvm.init: drop all changes; service is now systemd-only.
    - rename debian/clvm.defaults to debian/clvm.default: no defaults needed
      with systemd, the only setting in this file is one that is unused
      anyway.
    - Install the missing fsadm manpage: included differently in Debian.
    - Call dh_installman: included differently in Debian.
  * Depend on 'dlm' rather than 'dlm-controld', the package is named
    differently in Ubuntu.
  * debian/clvm.maintscripts: Drop the /etc/default/clvm conffile on upgrade.
    This delta can be dropped after 18.04 release.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 30 Jun 2016 13:47:43 -0700

lvm2 (2.02.156-1) unstable; urgency=medium

  * New upstream version.
  * Build-depend on systemd for pkg-config info.
  * Only support systemd in cluster package. (closes: #796625)
  * Update dependencies and description of cluster package.
  * Disable cluster while removing cluster package.

 -- Bastian Blank <waldi@debian.org>  Wed, 22 Jun 2016 16:18:48 +0200

lvm2 (2.02.153-1ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - rename debian/clvm.defaults to debian/clvm.default so it is installed
      correctly. (Debian #569292)
    - Add and install clvmd resource agent
    - debian/clvm.init:
      + check corosync cluster status since the cman tooling isn't available.
        Change start/stop dependencies to dlm instead of cman and openais
        since neither are available.
      + create /run/lvm if it doesn't exist.
      + exit 3 if not running on status action.
    - Lower libdevmapper1.02.1's Depends: dmsetup to a Recommends:. This
      breaks the circular dependency that causes upgrade failures. As dmsetup
      is "Priority: required", this has no other practical consequences.
    - debian/control: add dmsetup-udeb to libdevmapper1.02.1-udeb recommends.
    - debian/dmsetup-udeb.install: install udev rules in udebs
      (Debian #504341).
    - Add debian/initramfs-tools/lvm2/scripts/init-bottom/lvm2: We cannot
      properly synthesize LVM LV change events with udevadm trigger, so
      if we use LVM, we need to let it finish; otherwise we get missing LV
      symlinks.
    - Add debian/initramfs-tools/lvm2/scripts/init-premount/lvm2: failure
      hooks to help fix bad boots (Debian #468115)
    - Install the missing fsadm manpage.
    - Do not start lvmetad when inside a container.
    - Add enable-issue-discards.patch: Enable "issue_discards" option by
      default to trim SSDs when changing PVs. This option has no effect if the
      kernel or the drive does not support trimming, so it's safe to enable by
      default. (Debian #717313)
    - debian/rules:

