## lvm2 2.02.167

=== debian/changelog ===
lvm2 (2.02.167-1ubuntu5) zesty; urgency=medium

  * d/p/fix-strips-limit.patch: Fix regression limiting number of
    stripes to 8 (LP: #1675770)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 27 Mar 2017 09:23:51 +0200

lvm2 (2.02.167-1ubuntu2) zesty; urgency=medium

  * Add a patch to fix crashes on 32bit platforms:
    - 0011-fix-lvmetad-32bit.patch

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 10 Mar 2017 14:22:35 -0500

lvm2 (2.02.167-1ubuntu1) zesty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add and install clvmd resource agent
    - Lower libdevmapper1.02.1's Depends: dmsetup to a Recommends:. This
      breaks the circular dependency that causes upgrade failures. As dmsetup
      is "Priority: required", this has no other practical consequences.
    - debian/control: add dmsetup-udeb to libdevmapper1.02.1-udeb recommends.
    - debian/dmsetup-udeb.install: install udev rules in udebs
      (Debian #504341).
    - Add debian/initramfs-tools/lvm2/scripts/init-bottom/lvm2: We cannot
      properly synthesize LVM LV change events with udevadm trigger, so
      if we use LVM, we need to let it finish; otherwise we get missing LV
      symlinks.
    - Add debian/initramfs-tools/lvm2/scripts/init-premount/lvm2: failure
      hooks to help fix bad boots (Debian #468115)
    - Do not start lvmetad when inside a container.
    - Add enable-issue-discards.patch: Enable "issue_discards" option by
      default to trim SSDs when changing PVs. This option has no effect if the
      kernel or the drive does not support trimming, so it's safe to enable by
      default. (Debian #717313)
    - debian/rules:
      + Copy .po file to .pot file for Rosetta (Ubuntu specific).
    - debian/initramfs-tools/lvm2/hooks/lvm2: depend on udev since
      we ship udev rules.
    - Depend on 'dlm' rather than 'dlm-controld', the package is named
      differently in Ubuntu.
    - debian/clvm.maintscripts: Drop the /etc/default/clvm conffile on
      upgrade.  This delta can be dropped after 18.04 release.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 13 Nov 2016 17:05:42 -0800

lvm2 (2.02.167-1) unstable; urgency=medium

  * New upstream release.

 -- Bastian Blank <waldi@debian.org>  Wed, 09 Nov 2016 23:34:42 +0100

lvm2 (2.02.164-1ubuntu1) zesty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add and install clvmd resource agent
    - Lower libdevmapper1.02.1's Depends: dmsetup to a Recommends:. This
      breaks the circular dependency that causes upgrade failures. As dmsetup
      is "Priority: required", this has no other practical consequences.
    - debian/control: add dmsetup-udeb to libdevmapper1.02.1-udeb recommends.
    - debian/dmsetup-udeb.install: install udev rules in udebs
      (Debian #504341).
    - Add debian/initramfs-tools/lvm2/scripts/init-bottom/lvm2: We cannot
      properly synthesize LVM LV change events with udevadm trigger, so
      if we use LVM, we need to let it finish; otherwise we get missing LV
      symlinks.
    - Add debian/initramfs-tools/lvm2/scripts/init-premount/lvm2: failure
      hooks to help fix bad boots (Debian #468115)
    - Do not start lvmetad when inside a container.
    - Add enable-issue-discards.patch: Enable "issue_discards" option by
      default to trim SSDs when changing PVs. This option has no effect if the
      kernel or the drive does not support trimming, so it's safe to enable by
      default. (Debian #717313)
    - debian/rules:
      + Copy .po file to .pot file for Rosetta (Ubuntu specific).
    - debian/initramfs-tools/lvm2/hooks/lvm2: depend on udev since
      we ship udev rules.
    - Depend on 'dlm' rather than 'dlm-controld', the package is named
      differently in Ubuntu.
    - debian/clvm.maintscripts: Drop the /etc/default/clvm conffile on
      upgrade.  This delta can be dropped after 18.04 release.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 18 Oct 2016 22:32:44 -0700

lvm2 (2.02.164-1) unstable; urgency=medium

  * New upstream version.

 -- Bastian Blank <waldi@debian.org>  Wed, 17 Aug 2016 17:03:41 +0200
