## lvm2 2.02.168

=== debian/changelog ===
lvm2 (2.02.168-2ubuntu3) artful; urgency=medium

  * No-change rebuild to build to drop python3.5.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Aug 2017 16:25:53 +0000

lvm2 (2.02.168-2ubuntu2) artful; urgency=medium

  * No change rebuild to add Python 3.6 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 15 May 2017 15:32:22 +1200

lvm2 (2.02.168-2ubuntu1) artful; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Add and install clvmd resource agent
    - Lower libdevmapper1.02.1's Depends: dmsetup to a Recommends:. This
      breaks the circular dependency that causes upgrade failures. As dmsetup
      is "Priority: required", this has no other practical consequences.
    - debian/control: add dmsetup-udeb to libdevmapper1.02.1-udeb recommends.
    - debian/dmsetup-udeb.install: install udev rules in udebs
      (Debian #504341).
    - Add debian/initramfs-tools/lvm2/scripts/init-bottom/lvm2: We cannot
      properly synthesize LVM LV change events with udevadm trigger, so
      if we use LVM, we need to let it finish; otherwise we get missing LV
      symlinks.
    - Add debian/initramfs-tools/lvm2/scripts/init-premount/lvm2: failure
      hooks to help fix bad boots (Debian #468115)
    - Do not start lvmetad when inside a container.
    - Add enable-issue-discards.patch: Enable "issue_discards" option by
      default to trim SSDs when changing PVs. This option has no effect if the
      kernel or the drive does not support trimming, so it's safe to enable by
      default. (Debian #717313)
    - debian/rules:
      + Copy .po file to .pot file for Rosetta (Ubuntu specific).
    - debian/initramfs-tools/lvm2/hooks/lvm2: depend on udev since
      we ship udev rules.
    - debian/clvm.maintscripts: Drop the /etc/default/clvm conffile on
      upgrade.  This delta can be dropped after 18.04 release.
    - Add a patch to fix crashes on 32bit platforms:
      + 0013-fix-lvmetad-32bit.patch
      [ patch renamed ]
    - d/p/fix-strips-limit.patch: Fix regression limiting number of
      stripes to 8 (LP #1675770)
      [ patch refreshed ]

  [ Balint Reczey ]
  * Do not start lvm2-monitor in containers (LP #1576341)
    [ patch renamed ]

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Mon, 08 May 2017 16:59:53 -0700

lvm2 (2.02.168-2) unstable; urgency=medium

  * Don't try to disable cluster locking on clvm purge. (closes: #856696)
  * Drop symlinks for private libs. (closes: #857954)
  * Deny writemostly/writebehind during raid1 resync. (closes: #855895)

 -- Bastian Blank <waldi@debian.org>  Fri, 17 Mar 2017 17:29:47 +0100

lvm2 (2.02.168-1) unstable; urgency=medium

  * New upstream release.
  * Install but not start cmirrord. (closes: #570232)

 -- Bastian Blank <waldi@debian.org>  Fri, 16 Dec 2016 15:29:17 +0100

lvm2 (2.02.167-1ubuntu6) artful; urgency=medium

  * Drop:
    - Depend on 'dlm' rather than 'dlm-controld', the package is named
      differently in Ubuntu.
      + LP: #1669133
      [ Package is renamed to dlm-controld in line with Debian ]

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Wed, 03 May 2017 17:14:00 -0700
