=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
  debhelper (>> 9),
  dh-python,
  dh-systemd,
+ autoconf-archive,
  automake,
  libblkid-dev,
  libcmap-dev,
@@ -20,7 +21,8 @@
  libudev-dev,
  python-all-dev,
  python3-all-dev,
- pkg-config
+ pkg-config,
+ systemd
 Standards-Version: 3.9.6
 Homepage: http://sources.redhat.com/lvm2/
 Vcs-Git: git://anonscm.debian.org/pkg-lvm/lvm2.git
@@ -30,10 +32,8 @@
 
 Package: lvm2
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base, dmsetup (>> 2:1.02.47), dmeventd (>> 2:1.02.90), initscripts (>= 2.88dsf-13.3), udev (>= 228-2ubuntu2~)
+Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base, dmsetup, dmeventd
 Suggests: thin-provisioning-tools
-Breaks: initramfs-tools (<< 0.99), thin-provisioning-tools (<< 0.3.2)
-Replaces: udev (<< 228-2ubuntu2)
 Multi-Arch: foreign
 Description: Linux Logical Volume Manager
  This is LVM2, the rewrite of The Linux Logical Volume Manager.  LVM
@@ -59,14 +59,14 @@
 Package: clvm
 Priority: extra
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}, lvm2 (= ${binary:Version}), lsb-base
-Recommends: corosync
+Depends: ${shlibs:Depends}, ${misc:Depends}, lvm2 (= ${binary:Version}), dlm-controld
+Suggests: pacemaker, resource-agents
 Multi-Arch: foreign
-Description: Cluster LVM Daemon for lvm2
+Description: Cluster extensions for userland logical volume management tools
  This package provides the clustering interface for lvm2, when used with
- Red Hat's "cman" or corosync based (eg Pacemaker) cluster infrastructure.
- It allows logical volumes to be created on shared storage devices
- (eg Fibre Channel, or iSCSI).
+ corosync based (eg Pacemaker) cluster infrastructure.  It allows
+ logical volumes to be created on shared storage devices (eg Fibre
+ Channel, or iSCSI).
 
 Package: libdevmapper-dev
 Section: libdevel
@@ -122,8 +122,7 @@
 
 Package: dmsetup
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}, util-linux (>> 2.16)
-Conflicts: devicekit-disks (<< 009)
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: foreign
 Description: Linux Kernel Device Mapper userspace library
  The Linux Kernel Device Mapper is the LVM (Linux Logical Volume Management)
@@ -192,7 +191,7 @@
 Section: libs
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}, dmeventd (>> 2:1.02.90)
+Depends: ${shlibs:Depends}, ${misc:Depends}, dmeventd
 Multi-Arch: same
 Description: LVM2 command library
  This package contains the lvm2cmd shared library.
@@ -201,6 +200,7 @@
 Section: libdevel
 Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}, liblvm2app2.2 (= ${binary:Version}), liblvm2cmd2.02 (= ${binary:Version}), libdevmapper-dev
+Multi-Arch: same
 Description: LVM2 libraries - development files
  This package contains files needed to develop applications that use the
  lvm2app library.
@@ -210,6 +210,7 @@
 Architecture: linux-any
 Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
 Provides: ${python:Provides}
+Multi-Arch: same
 Description: LVM2 application library - Python 2 binding
  This package contains the python binding of the lvm2app library. It allows
  easier access to the basic LVM objects and provides functions to enumerate,
@@ -220,6 +221,7 @@
 Architecture: linux-any
 Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}
 Provides: ${python3:Provides}
+Multi-Arch: same
 Description: LVM2 application library - Python 3 binding
  This package contains the python binding of the lvm2app library. It allows
  easier access to the basic LVM objects and provides functions to enumerate,
