=== debian/rules ===
--- 
+++ 
@@ -59,7 +59,6 @@
 	mkdir -p '$(DIR)'
 	cp -al $(SOURCE_FILES) '$(DIR)'
 	cd $(DIR); autoreconf
-	cd $(DIR); cp -f /usr/share/misc/config.guess /usr/share/misc/config.sub autoconf/
 	touch $@
 
 setup: $(STAMPS_DIR)/setup_deb $(STAMPS_DIR)/setup_udeb
@@ -88,7 +87,9 @@
 		--with-thin-dump=/usr/sbin/thin_dump \
 		--with-thin-repair=/usr/sbin/thin_repair \
 		--enable-applib \
+		--enable-blkid_wiping \
 		--enable-cmdlib \
+		--enable-cmirrord \
 		--enable-dmeventd \
 		--enable-lvmetad \
 		--enable-lvmpolld \
@@ -111,7 +112,6 @@
 		--with-cluster=none \
 		--with-lvm1=none \
 		--with-pool=none \
-		--disable-dmeventd \
 		--disable-readline \
 		--disable-selinux
 	touch $@
@@ -187,7 +187,6 @@
 	dh_installdebconf
 	dh_installdocs
 	dh_installexamples
-	dh_installman
 	dh_link
 	dh_strip
 	dh_compress
@@ -204,7 +203,8 @@
 	mkdir -p $(BUILD_DIR)/install_deb/usr/lib/ocf/resource.d/lvm2
 	install -m 755 debian/clvmd.ra $(BUILD_DIR)/install_deb/usr/lib/ocf/resource.d/lvm2/clvmd
 	+$(MAKE_SELF) install-base-prep INSTALL_DIR='$(DIR)'
-	dh_installinit --no-start
+	dh_systemd_enable --no-enable lvm2-cluster-activation.service
+	dh_systemd_start --no-start --no-restart-after-upgrade lvm2-cluster-activation.service
 	+$(MAKE_SELF) install-base
 
 install_dmeventd: export DH_OPTIONS = -pdmeventd
@@ -241,5 +241,3 @@
 		--add-udeb 'libdevmapper$(DEVMAPPER_ABINAME)-udeb' \
 	       	"-Vlibdevmapper$(DEVMAPPER_ABINAME) (>= $(DEVMAPPER_VERSION))" \
 		-- "-v$(DEVMAPPER_VERSION_DEBIAN)" -c2
-	+$(MAKE_SELF) install-base CHANGELOG=WHATS_NEW_DM GENCONTROL_ARGS="-v$(DEVMAPPER_VERSION_DEBIAN)"
-
